package com.zcloud.zcGbsServicer.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.zcGbsServicer.persistence.dataobject.FireBrigadeDO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface FireBrigadeRepository extends BaseRepository<FireBrigadeDO> {

    PageResponse<FireBrigadeDO> listPage(Map<String, Object> params);

    List<FireBrigadeDO> listByFireBrigadeIds(Collection<String> fireBrigadeIds);

    boolean existsByBrigadeName(String brigadeName, Long excludeId);

    FireBrigadeDO getByFireBrigadeId(String fireBrigadeId);
}
